4 Replies Latest reply on May 9, 2017 1:27 PM by KIM TIAGO BAPTISTA

    Seam dependency with Hibernate Validator

    Israel Fonseca Apprentice
      Hi, i started to use the Bean Validation (JSR 303) instead the old Hibernate Validator, so I got the new libraries (the reference Impl, hibernate-validator 4.02), and put in my classpath, now I thought: "well let's, get rid from the old hibernate-validator lib). Surprisingly, i discovered that the FacesMessage.instance().addMessage(), does need that lib at compilation time... weird!

      Eclipse says: "The type org.hibernate.validator.InvalidValue cannot be resolved. It is indirectly referenced from required .class files"

      Is that right? Now do i have to keep the old hibernate-validator lib in my classpath, just for that?

      I'm, using Seam 2.2.0 in tomcat 6.

      Thnks in advance,